WAB 2.21 Smart Editor - Public users / Level 1 Organisation users unable to edit layers shared with Everyone

450
3
Jump to solution
10-13-2021 03:20 AM
Labels (2)
AndrewMurphy3
New Contributor III

I have recently upgraded our WAB Applications from WAB 2.12 Developer Edition to WAB 2.21. In Smart Editor we have a layer which all members of the organisation and anonymous users could edit. The layer is shared with Everyone. In WAB 2.12 we have no issues and all users regardless of Level can edit this layer, however in WAB 2.21 only Level 2 users can edit this layer even though it is Shared with Everyone. Anyone else experiencing this issue? 

AndrewMurphy3_0-1634120204183.png

 

0 Kudos
1 Solution

Accepted Solutions
AlixVezina
Esri Regular Contributor

Hi @AndrewMurphy3 ,

Thank you for posting your question.

This was a known issue and was fixed in the last Web AppBuilder update. The fix is currently in ArcGIS Online and will be available in WAB developer edition 2.22 which should be available for download in the upcoming days. You can use the Smart Editor widget files from that latest version to get the fix.

More on recent updates here: The Smart Editor Widget: A Few Years in Review - Esri Community

 

View solution in original post

3 Replies
AndrewMurphy3
New Contributor III

Just seeing this in another thread can someone from ESRI confirm this is fixed in the next release WAB 2.22?

Thanks.

 

AndrewMurphy3_0-1634123098032.png

 

0 Kudos
AlixVezina
Esri Regular Contributor

Hi @AndrewMurphy3 ,

Thank you for posting your question.

This was a known issue and was fixed in the last Web AppBuilder update. The fix is currently in ArcGIS Online and will be available in WAB developer edition 2.22 which should be available for download in the upcoming days. You can use the Smart Editor widget files from that latest version to get the fix.

More on recent updates here: The Smart Editor Widget: A Few Years in Review - Esri Community

 

AndrewMurphy3
New Contributor III

Thanks for the response. I can hold out for 2.22 but have rolled back the apps to 2.12 for now to maintain the functionality for our users.